<?php
//验证字符串格式
function YZ($str)
   {
	$output='';
	$a=preg_match('/['.chr(0xa1).'-'.chr(0xff).']/', $str);
	$b=preg_match('/[0-9]/', $str);
	$c=preg_match('/[a-zA-Z]/', $str);
	if($a && $b && $c)
		$output=1; //'汉字数字英文的混合字符串';
	elseif($a && $b && !$c)
		$output=2 ;//'汉字数字的混合字符串';
	elseif($a && !$b && $c)
		$output=3; //'汉字英文的混合字符串';
	elseif(!$a && $b && $c)
		$output=4; //'数字英文的混合字符串';
	elseif($a && !$b && !$c)
		$output=5; //'纯汉字';
	elseif(!$a && $b && !$c)
		$output=6; //'纯数字';
	elseif(!$a && !$b && $c)
		$output=7; //'纯英文';
	return $output;
     }
	 
	 ?>